PICOM-TRANS(1)

NAME
picom-trans - an opacity setter tool

SYNOPSIS

picom-trans [-w WINDOW_ID] [-n WINDOW_NAME] [-c] [-s] OPACITY

DESCRIPTION

picom-trans is a bash script that sets _NET_WM_WINDOW_OPACITY attribute of a window using standard X11 command-line utilities, including xprop(1) and xwininfo(1). It is similar to transset(1) or transset-df(1).

OPTIONS

-w WINDOW_ID
    Specify the window id of the target window.

-n WINDOW_NAME
    Specify and try to match a window name.

-c
    Specify the currently active window as target. Only works if EWMH _NET_ACTIVE_WINDOW property exists on root window.

-s
    Select target window with mouse cursor. This is the default if no window has been specified.

-o OPACITY
    Specify the new opacity value for the window. This value can be anywhere from 1-100. If it is prefixed with a plus or minus (+/-), this will increment or decrement from the target window’s current opacity instead.

EXAMPLES

    • Set the opacity of the window with specific window ID to 75%:

        picom-trans -w "$WINDOWID" 75

    • Set the opacity of the window with the name "urxvt" to 75%:

        picom-trans -n "urxvt" 75

    • Set current window to opacity of 75%:

        picom-trans -c 75

    • Select target window and set opacity to 75%:

        picom-trans -s 75

    • Increment opacity of current active window by 5%:

        picom-trans -c +5

    • Decrement opacity of current active window by 5%:

        picom-trans -c -- -5

BUGS

Please submit bug reports to https://github.com/yshui/picom.

SEE ALSO

picom(1), xprop(1), xwininfo(1)